<div class="usergroup-container full-container">
    <div class="usergroups left-content">
        <h4>Usergroups</h4>
        <ul>
            <li *ngFor="let ug of usergroups" [class.active]="usergroup !== null && usergroup.usergroupId === ug.usergroupId"><a [routerLink]="['/usergroups']"
                    [queryParams]="{'id': ug.usergroupId}">{{ug.name}}</a></li>
        </ul>
        <div class="add-usergroup" (click)="addUsergroup()">Add usergroup</div>
    </div>
    <div class="usergroup-content right-content">

        <div class="usergroup" *ngIf="usergroup !== null">
            <div class="success" *ngIf="saved">Gemt!</div>
            <div class="error" *ngIf="error">Fejl ved gem!</div>
            <h3>Usergroup setup</h3>
            <form [formGroup]="ugFG">
                <h5>Information</h5>
                <mat-form-field>
                    <input type="text" matInput placeholder="Name" formControlName="name">
                </mat-form-field>
                <h5>Claims</h5>

                <mat-tree [dataSource]="dataSource" [treeControl]="treeControl" #matTree>

                    <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle matTreeNodePadding>
                        <button mat-icon-button disabled></button>
                        <mat-checkbox [checked]="checklistSelection.isSelected(node)"
                            (change)="todoLeafItemSelectionToggle(node)">{{node.item}}
                        </mat-checkbox>
                    </mat-tree-node>

                    <mat-tree-node *matTreeNodeDef="let node; when: hasChild" matTreeNodePadding>
                        <button mat-icon-button matTreeNodeToggle [attr.aria-label]="'toggle ' + node.filename">
                            <mat-icon class="mat-icon-rtl-mirror">
                                {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
                            </mat-icon>
                        </button>
                        <mat-checkbox [checked]="descendantsAllSelected(node)"
                            [indeterminate]="descendantsPartiallySelected(node)"
                            (change)="todoItemSelectionToggle(node)">
                            {{node.item}}</mat-checkbox>
                    </mat-tree-node>

                </mat-tree>


                <!-- <div *ngFor="let claim of claims">
                    <mat-checkbox>{{claim.key}}</mat-checkbox>
                </div> -->
                <br /><br />
                <button mat-button color="primary" (click)="save()">Save</button>
                <button mat-button color="error" (click)="delete()" *ngIf="usergroup.usergroupId !== '00000000-0000-0000-0000-000000000000' && usergroup.usergroupId !== 'NewGroup'">Delete</button>
            </form>
        </div>
    </div>
</div>